/*
 * Flex Direction
 */
// Column
.flex-column {
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;	
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.flex-sm-column {
		.flex-column;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.flex-md-column {
		.flex-column;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.flex-lg-column {
		.flex-column;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.flex-xl-column {
		.flex-column;
	}
}

// Row
.flex-row {
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.flex-sm-row {
		.flex-row;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.flex-md-row {
		.flex-row;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.flex-lg-row {
		.flex-row;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.flex-xl-row {
		.flex-row;
	}
}

/*
 * Flex Wrap Content
 */
// Flex Wrap
.flex-wrap {
	-ms-flex-wrap: wrap !important;
	flex-wrap: wrap !important;	
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.flex-sm-wrap {
		.flex-wrap;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.flex-md-wrap {
		.flex-wrap;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.flex-lg-wrap {
		.flex-wrap;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.flex-xl-wrap {
		.flex-wrap;
	}
}

/*
 * Justify Content
 */
// Flex Start
.justify-content-start {
	-webkit-box-pack: start !important;
	-ms-flex-pack: start !important;
	justify-content: flex-start !important;	
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.justify-content-sm-start {
		.justify-content-start;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.justify-content-md-start {
		.justify-content-start;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.justify-content-lg-start {
		.justify-content-start;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.justify-content-xl-start {
		.justify-content-start;
	}
}

// Flex Between
.justify-content-between {
	-webkit-box-pack: justify !important;
	-ms-flex-pack: justify !important;
	justify-content: space-between !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.justify-content-sm-between {
		.justify-content-between;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.justify-content-md-between {
		.justify-content-between;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.justify-content-lg-between {
		.justify-content-between;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.justify-content-xl-between {
		.justify-content-between;
	}
}

// Flex Around
.justify-content-around {
	-webkit-box-pack: distribute !important;
	-ms-flex-pack: distribute !important;
	justify-content: space-around !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.justify-content-sm-around {
		.justify-content-around;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.justify-content-md-around {
		.justify-content-around;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.justify-content-lg-around {
		.justify-content-around;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.justify-content-xl-around {
		.justify-content-around;
	}
}

// Flex center
.justify-content-center {
	-webkit-box-pack: center !important;
	-ms-flex-pack: center !important;
	justify-content: center !important;	
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.justify-content-sm-center {
		.justify-content-center;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.justify-content-md-center {
		.justify-content-center;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.justify-content-lg-center {
		.justify-content-center;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.justify-content-xl-center {
		.justify-content-center;
	}
}

// Flex End
.justify-content-end {
	-webkit-box-pack: end !important;
	-ms-flex-pack: end !important;
	justify-content: flex-end !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.justify-content-sm-end {
		.justify-content-end;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.justify-content-md-end {
		.justify-content-end;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.justify-content-lg-end {
		.justify-content-end;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.justify-content-xl-end {
		.justify-content-end;
	}
}

/*
 * Align Items
 */
// Flex Start
.align-items-start {
	-webkit-box-align: start !important;
	-ms-flex-align: start !important;
	align-items: flex-start !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.align-items-sm-start {
		.align-items-start;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.align-items-md-start {
		.align-items-start;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.align-items-lg-start {
		.align-items-start;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.align-items-xl-start {
		.align-items-start;
	}
}

// Flex Center
.align-items-center {
	-webkit-box-align: center !important;
	-ms-flex-align: center !important;
	align-items: center !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.align-items-sm-center {
		.align-items-center;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.align-items-md-center {
		.align-items-center;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.align-items-lg-center {
		.align-items-center;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.align-items-xl-center {
		.align-items-center;
	}
}

// Flex End
.align-items-end {
	-webkit-box-align: end !important;
	-ms-flex-align: end !important;
	align-items: flex-end !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.align-items-sm-end {
		.align-items-end;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.align-items-md-end {
		.align-items-end;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.align-items-lg-end {
		.align-items-end;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.align-items-xl-end {
		.align-items-end;
	}
}

// Flex Stretch
.align-items-stretch {
	-webkit-box-align: stretch !important;
	-ms-flex-align: stretch !important;
	align-items: stretch !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.align-items-sm-stretch {
		.align-items-stretch;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.align-items-md-stretch {
		.align-items-stretch;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.align-items-lg-stretch {
		.align-items-stretch;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.align-items-xl-stretch {
		.align-items-stretch;
	}
}